Re: openssh-3.1p1 will not compile on slackware 7.1 system

From: Gunnar Lettow (gl@ppi.de)
Date: 03/08/02


Date: Fri, 08 Mar 2002 01:18:19 +0100
From: Gunnar Lettow <gl@ppi.de>

Hello,
i've got the same errors on Solaris 5.6 with openssl 0.9.5a. After installing openssl 0.9.6 and verfying
that openssh will use it, all compiles well.

Gunnar

Markus Friedl wrote:

> In <uaef8u85uvmq4trrpp279un8ldcbpd7s2q@4ax.com> Mike Hammer <mikeh@xxnospamxx.midstate-mfg.com> writes:
>
> >I tried to compile the new openssh-3.1p1 on my slackware 7.1 system
> >with a 2.2.18 kernel. This machine has openssl-0.9.6 and OpenSSH
> >2.5.1p1 so I have compiled openssh on it before.
>
> are you sure you are runnong openssl-0.9.6?
>
> this patch should work for openssl < 0.9.6
>
> http://bugzilla.mindrot.org/showattachment.cgi?attach_id=32



Relevant Pages

  • FreeBSD OpenSSL broken
    ... I have been seeing scp xfers failing mysteriously with a "Corrupted MAC on input" error. ... I suspected RAM since I used to get failed compiles saying "internal compiler error" and sefault. ... A person in Sweden had trouble with HTTPS and I solved it by reinstalling OpenSSL ...
    (freebsd-questions)
  • ssh question porting to the mac with openssl
    ... when i compile openssh under mac os, it compiles fine, pulling in the include files from /usr/include/openssl, which come with the os. ... i'm compiling ssh for the iphone, and we want to be based off of openssl, not the mac os files, so i'm using the include files from openssl. ... 145: error: conflicting types for 'SHA256_Init' ...
    (SSH)
  • Re: openssh-3.1p1 will not compile on slackware 7.1 system
    ... all compiles well. ... >Markus Friedl wrote: ... openssl 0.9.6 but it also has an earlier install of openssl 0.9.5a. ...
    (comp.security.ssh)
  • Re: cryptolib for ibm-compiler on 5.2
    ... who knows about such a lib? ... Why not use OpenSSL ??? ... Compiles fine with VAC 6.0. ...
    (comp.unix.aix)